Support » Installing WordPress » Auto upgrade 2.8.2 to 2.8.3 “Installation Failed”

  • Just installed 2.8.2 fresh yesterday, and now today am trying to do Tools-Upgrade to go to 2.8.3.

    The FTP log-in goes just fine, but then I get a very zen “Installation Failed” message right away, with no other detail.

    Am running PHP5.

    Any ideas?

    thanks,

    Paul.

Viewing 15 replies - 1 through 15 (of 42 total)
  • One other thing–I did deactivate all of the plug-ins.

    No known issues yet – I’ve just upgraded one of my blogs with no problem.
    Give it a little time and try again later.

    Same problem here. Mac OS X Server 10.5.7:

    Downloading update from http://wordpress.org/wordpress-2.8.3.zip.

    Unpacking the update.

    Warning: ftp_mkdir() [function.ftp-mkdir]: “/” is current directory. in /Library/WebServer/domainfolder/wp-admin/includes/class-wp-filesystem-ftpext.php on line 240
    Could not create directory: /domainfolder/wp-content/upgrade/wordpress-2.8.3/wordpress/wp-includes/js/tinymce/plugins/wpgallery/img

    Installation Failed

    Did you deactivate all the plugins?

    Downloading update from http://wordpress.org/wordpress-2.8.3.zip.

    Unpacking the update.

    Could not copy file: /public_html/wp-content/upgrade/wordpress-2.8.3/wordpress/wp-comments-post.php

    Installation Failed

    Okay, what am I doing wrong here.

    Moderator Samuel Wood (Otto)

    (@otto42)

    WordPress.org Admin

    Automatic upgrade doesn’t work on all hosting systems. Nor will it ever, there’s too many ways that systems can be configured.

    If you have a failure, upgrade manually.
    Upgrading WordPress

    If you administer your own dedicated hosting system, then the easiest way to make auto-upgrades work is:
    a) Use PHP 5.
    b) Use mod_suphp with Apache.
    c) Ensure that permissions are correct on all the files, and that they are owned by the user who is supposed to own them (and not the webserver user).

    The rest of the system config doesn’t much matter at that point.

    I’ve always been able to do an automatic upgrade…..this is the first time it has failed.

    Potentially permissions, but it could be any number of things. Do a manual upgrade for this one.

    Okay will try. Thanks

    Same here. Upgrade manually.

    I’ve tried to auto update and got the following error:
    Downloading update from http://wordpress.org/wordpress-2.8.3.zip.

    Fatal error: Allowed memory size of “x” bytes exhausted (tried to allocate “y” bytes) in long adress/wp-includes/http.php on line “z”

    can someone please help?

    my site http://www.superenlightme.com

    @shsh1345 – add this to your config.php and try again
    define('WP_MEMORY_LIMIT', '64M');

    Thank you ZGani that worked great.

    @paulandrew – did you get it worked out? I currently am using 75M max memory both for PHP5 and for WP and I get the same thing – no message other than “Installation failed” – it doesn’t even try to download the WP file. On this particular server I was auto-upgrading until 2.8.2 failed. I had to manually load the files.

    I successfully auto-upgrade on many servers, even versions 2.8.2 and 2.8.3, but on some servers it just fails like this without any other error message.

    Plugins correctly upgrade on this (the failing) server. Same log-in info, and using SFTP in all cases. The plug-in upgrades are also very fast and always succeed. The full WP upgrade still fails.

    As a test I chmod’d files to a+rw and it still didn’t help.

    @shsh1345 you are welcome.

    @jimsky – are all the plugins deactivated? If you have the wp auto-update plugin installed you will need to delete it, its know to fail upgrades even though its deactivated.

    You might also want to switch to the default theme first then try upgrading.

Viewing 15 replies - 1 through 15 (of 42 total)
  • The topic ‘Auto upgrade 2.8.2 to 2.8.3 “Installation Failed”’ is closed to new replies.